Name:           kid3
Version:        0.8.1
Release:        1%{?dist}
Summary:        Efficient ID3 tag editor

Group:          Applications/Multimedia
License:        GPL
URL:            http://kid3.sourceforge.net/
Source0:        http://downloads.sourceforge.net/kid3/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs-devel
BuildRequires:  id3lib-devel
BuildRequires:  taglib-devel >= 1.4
BuildRequires:  flac-devel
BuildRequires:  libtunepimp-devel
BuildRequires:  perl(File::Spec)

%description
If you want to easily tag multiple MP3, Ogg/Vorbis or FLAC files
(e.g. full albums) without typing the same information again and again
and have control over both ID3v1 and ID3v2 tags, then Kid3 is the
program you are looking for.


%prep
%setup -q
sed -i -e 's/\r//' LICENSE
sed -i -e 's|/lib /usr/lib\b|/%{_lib} %{_libdir}|g' configure # lib64 rpaths
sed -i -e 's/-lid3/-lid3 -lz/' configure #216783 workaround


%build
unset QTDIR ; . %{_sysconfdir}/profile.d/qt.sh
%configure --disable-rpath --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -Dpm 644 debian/kid3.1 $RPM_BUILD_ROOT%{_mandir}/man1/kid3.1
# preserve desktop entry location for from < 0.8 upgrades
mv $RPM_BUILD_ROOT%{_datadir}/applications/{kde/kid3,fedora-kid3}.desktop
rmdir $RPM_BUILD_ROOT%{_datadir}/applications/kde
%find_lang %{name}
abs2rel() { perl -MFile::Spec -e 'print File::Spec->abs2rel(@ARGV)' "$@" ; }
for file in $(find $RPM_BUILD_ROOT%{_docdir}/HTML -type l) ; do
  f=$(readlink $file) ; d=$(dirname ${file#$RPM_BUILD_ROOT})
  case "$f" in /*) rm -f $file ; ln -s $(abs2rel $f $d) $file ;; esac
done


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database &>/dev/null || :
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor 2>/dev/null || :

%postun
update-desktop-database &>/dev/null || :
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor 2>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING LICENSE README
%{_bindir}/kid3
%{_datadir}/applications/*kid3.desktop
%{_datadir}/apps/kid3/
%{_datadir}/icons/hicolor/*x*/apps/kid3.png
%{_datadir}/icons/hicolor/scalable/apps/kid3.svgz
%lang(en) %{_docdir}/HTML/en/kid3/
%lang(de) %{_docdir}/HTML/de/
%{_mandir}/man1/kid3.1*


%changelog
* Wed Nov 22 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.8.1-1
- 0.8.1, desktop entry fixes applied upstream.
- Re-enable musicbrainz support.

* Mon Oct  2 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.7-4
- Rebuild.

* Wed Sep 27 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.7-3
- Disable musicbrainz support by default, not ready for tunepimp 0.5 yet.

* Wed Aug 30 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.7-2
- Rebuild.

* Thu Jun 29 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.7-1
- 0.7, build with libtunepimp.
- Patch to register as a handler for more media types.
- Update desktop database at post(un)install time.
- Make symlinks relative.

* Wed Feb 15 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.6-2
- Explicitly disable musicbrainz support for now, needs older libtunepimp
  than what's available in FE.
- Apply Debian's 0.6-2 patch, includes ogg tagging fix.
- Install man page.

* Mon Oct 31 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.6-1
- 0.6, patches applied upstream.
- Clean up build dependencies.
- Improve summary and description.

* Thu May 19 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.5-4
- Update GTK icon cache at (un)install time.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.5-3
- rebuilt

* Sun Dec 19 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5-2
- Apply patch for better non-latin1 filename support.
- Build with dependency tracking disabled.
- Trim dir ownership for FC3.

* Sat Jul 31 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5-0.fdr.1
- Update to 0.5.

* Mon Feb  9 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4-0.fdr.1
- Update to 0.4.

* Sat Nov  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.1
- First build.
